﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGIsEnabledStylingCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {

            Random r = new Random();
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    RandomNumber = r.Next(1000)
                });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public int RandomNumber { get; set; }
    }
}
